%define libname_orig lib%{name}
%define libname %mklibname %{name} 1

%define	name	exscalibar
%define	version	1.0.4 

%define qtdir   %{_prefix}/lib/qt3
%define __libtoolize    /bin/true

Summary:	A library to display a colored bar depending on music variations
Name:		%{name}
Version:	%{version}
Release:	%mkrel 9
License:	GPL
Url:		http://exscalibar.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%version.tar.bz2
Patch1: 	exscalibar-1.0.4-x86_64.patch.bz2
Patch2:		exscalibar-1.0.4-install-x86_64.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


BuildRequires:	libjack-devel 
BuildRequires:  libsndfile-devel 
BuildRequires:  libalsa-devel 
BuildRequires:  mad-devel 
BuildRequires:  libvorbis-devel
BuildRequires:	fftw3-devel 
BuildRequires:  qt3-devel
#TODO : package gat from http://www.gridlab.org/WorkPackages/wp-1/gatreleases.html
#and add it as build require

%description
Exscalibar is an EXtendable, SCalable Architecture for Live,
Interactive or Batch-orientated Audio-signal Refinement.

%package -n %{libname}
Summary:	Exscalibar library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Library for Exscalibar

%package -n %{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q -n %name-%version
%patch1 -p1 -b .x86_64

%if "%{_lib}" != "lib"
%patch2 -p1 -b .install_x86_64
%endif

%build

perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt|qt4)_(libdirs|libraries)=/" configure

export QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$PATH

%{?__cputoolize: %{__cputoolize} }

./configure
make

%install
rm -rf %buildroot
make INSTALL_ROOT=%buildroot install

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{qtdir}/bin/exinfo
%{qtdir}/bin/nite
%{qtdir}/bin/nodeserver

%files -n %{libname}-devel
%defattr(-,root,root)
%{_prefix}/lib/pkgconfig/exscalibar.pc
%dir %{qtdir}/include/Geddei
%dir %{qtdir}/include/SignalTypes
%dir %{qtdir}/include/rGeddei

%{qtdir}/include/geddei/*.h
%{qtdir}/include/geddeiprocessors/*.h
%{qtdir}/include/qtextra/*.h
%{qtdir}/include/rgeddei/*.h
%{qtdir}/%_lib/*.so

%files -n %{libname}
%defattr(-,root,root)
%{qtdir}/%_lib/*.so.*
%{qtdir}/plugins/geddei/*.so

%changelog
* Wed Nov 15 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 1.0.4-9pclos2007
- Build for PCLinuxOS 2007

